Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class MovieImportInfo

    java.lang.Object
      |
      +--quicktime.std.qtcomponents.MovieImportInfo

public final class MovieImportInfo
extends java.lang.Object

MovieImportInfo contains information for the movie import component. The results returned from querying a movie import component using a movie, a data reference and time values.

Constructor Summary
`MovieImportInfo(Track t, int timeVal, int f)` Creates a MovieImportInfo object containing given data.

Method Summary
`int` | `getDuration()` returns the addedDuration from the movie import component withFile method
`int` | `getFlags()` returns the outflags from the movie import component withFile method
`Track` | `track()` returns the referenced track(usedTrack) from the movie import component withFile method

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MovieImportInfo

    public MovieImportInfo(Track t,
                           int timeVal,
                           int f)

  Creates a MovieImportInfo object containing given data.
  Parameters:
    `t` - The used track result from movie import withFile/withHandle method.
    `timeVal` - The time value duration result from movie import withFile/withHandle method.
    `flags` - The status flags result from movie import withFile/withHandle method.

Method Detail

### track

    public Track track()

  returns the referenced track(usedTrack) from the movie import component withFile method

### getDuration

    public int getDuration()

  returns the addedDuration from the movie import component withFile method

### getFlags

    public int getFlags()

  returns the outflags from the movie import component withFile method

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD